#!/usr/bin/env python

import os
from optparse import OptionParser

usage = "%prog [options] file.txt"
parser=OptionParser(usage)
(options,args) = parser.parse_args()

rosetta_bin = os.environ['ROSETTA_BIN']
rosetta_database = os.environ['ROSETTA_DATABASE']
rosetta_scripts = os.environ['ROSETTA_SCRIPTS']
workshop_root = os.environ['WORKSHOP_ROOT']
rosetta_suffix = os.environ['ROSETTA_SUFFIX']

original_file = open(args[0],'r')
original_lines = original_file.readlines()
original_file.close()

new_file = open(args[0],'w')
for line in original_lines:
    line = line.replace("$ROSETTA_BIN",rosetta_bin)
    line = line.replace("$ROSETTA_DATABASE", rosetta_database)
    line = line.replace("$ROSETTA_SCRIPTS", rosetta_scripts)
    line = line.replace("$WORKSHOP_ROOT",workshop_root)
    line = line.replace("$ROSETTA_SUFFIX",rosetta_suffix)
    new_file.write(line)
